#!/bin/bash

cd /media/disk/Maximus_III_Formula/i2c-and-smc
sudo modprobe i2c-dev
sudo i2cdetect -l > i2cdetect-l.txt
OldIFS=$IFS
IFS=$'\n'
for i2c_bus in $(sudo i2cdetect -l 2>/dev/null | sed 			-e "s/^[[:alnum:][:punct:]]\{1,\}[[:blank:]]\{1,\}[[:alnum:][:punct:]]\{1,\}[[:blank:]]\{2,\}//" 			-e "s/[[:blank:]]\{2,\}[[:alnum:][:punct:]]\{1,\}.*//"  ) ; do
	i2c_protect_name=$(echo $i2c_bus | tr "[:punct:][:blank:]" "_" | sed "s/[_]\{1,\}/_/g" )
	sudo i2cdetect -F "$i2c_bus" > i2cdetect-F-$i2c_protect_name.txt
done
